using System.ComponentModel.DataAnnotations;

namespace ConstructorApp.EntityLayer.Entities
{
    public class HomeBanner
    {
        [Key]
        public int HomeBannerID { get; set; }
        [StringLength(100)]
        [Required]
        public string? Title { get; set; } // Designing & building
        [StringLength(100)]
        [Required]
        public string? SubTitle { get; set; } // Modern energy efficient houses from 150 sq. m.
        [StringLength(100)]
        [Required]
        public string? LogoUrl { get; set; } // Logo görsel yolu
    }
}
